<div class="card" [ngClass]=" UpdateSend ? 'notAvaillable' : ''">
  <div class="container">
    <h4><b>{{ request.userName }}: {{ request.item.title }} x {{ request.quantity }}</b></h4>
    <h2></h2>
    <div class="btn-group" role="group" aria-label="Basic outlined example" *ngIf="activatedOption">
    <button type="button" class="btn btn-outline-success" (click)="Validate()" >Validate</button>
    <button type="button" class="btn btn-outline-danger" (click)="Cancel()">Cancel</button>

    <div *ngIf="ShowLoadingButton">
      <button class="btn btn-primary" type="button" disabled> <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true" ></span> Loading...</button>
      </div>
    <button type="button" class="btn btn-outline-primary" (click)="UpdateRequest()" id="liveToastBtn" *ngIf="showValidationButton">Update Command To {{statustoUpdate}}</button>
  </div>
  </div>
</div>
<div class="card">
    <div class="alert alert-success" role="alert" *ngIf="ShowSuccesMessage"> {{ messageToShow }} </div>
  <div class="alert alert-danger" role="alert" *ngIf="ShowErrorMessage"> {{ messageToShow }} </div>
</div>
